org.apache.jmeter.protocol.http.util

## Interface HTTPConstantsInterface

- All Known Implementing Classes:
    AccessLogSampler, AjpSampler, HTTPAbstractImpl, HTTPConstants, HTTPFileImpl, HTTPHC4Impl, HTTPHCAbstractImpl, HTTPJavaImpl, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy

      public interface HTTPConstantsInterface

  Constants used in HTTP, mainly header names.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPLICATION_X_WWW_FORM_URLENCODED`
    `static java.lang.String` | `CACHE_CONTROL`
    `static java.lang.String` | `CONNECT`
    `static java.lang.String` | `CONNECTION_CLOSE`
    `static java.lang.String` | `COPY`
    `static java.lang.String` | `DATE`
    `static int` | `DEFAULT_HTTP_PORT`
    `static java.lang.String` | `DEFAULT_HTTP_PORT_STRING`
    `static int` | `DEFAULT_HTTPS_PORT`
    `static java.lang.String` | `DEFAULT_HTTPS_PORT_STRING`
    `static java.lang.String` | `DELETE`
    `static java.lang.String` | `ENCODING_BROTLI`
    `static java.lang.String` | `ENCODING_DEFLATE`
    `static java.lang.String` | `ENCODING_GZIP`
    `static java.lang.String` | `ETAG`
    `static java.lang.String` | `EXPIRES`
    `static java.lang.String` | `GET`
    `static java.lang.String` | `HEAD`
    `static java.lang.String` | `HEADER_AUTHORIZATION`
    `static java.lang.String` | `HEADER_CONNECTION`
    `static java.lang.String` | `HEADER_CONTENT_DISPOSITION`
    `static java.lang.String` | `HEADER_CONTENT_ENCODING`
    `static java.lang.String` | `HEADER_CONTENT_LENGTH`
    `static java.lang.String` | `HEADER_CONTENT_TYPE`
    `static java.lang.String` | `HEADER_COOKIE`
    `static java.lang.String` | `HEADER_COOKIE_IN_REQUEST`
    `static java.lang.String` | `HEADER_HOST`
    `static java.lang.String` | `HEADER_LOCAL_ADDRESS`
    `static java.lang.String` | `HEADER_LOCATION`
    `static java.lang.String` | `HEADER_SET_COOKIE`
    `static java.lang.String` | `HTTP_1_1`
    `static java.lang.String` | `IF_MODIFIED_SINCE`
    `static java.lang.String` | `IF_NONE_MATCH`
    `static java.lang.String` | `KEEP_ALIVE`
    `static java.lang.String` | `LAST_MODIFIED`
    `static java.lang.String` | `LOCK`
    `static java.lang.String` | `MKCALENDAR`
    `static java.lang.String` | `MKCOL`
    `static java.lang.String` | `MOVE`
    `static java.lang.String` | `MULTIPART_FORM_DATA`
    `static java.lang.String` | `OPTIONS`
    `static java.lang.String` | `PATCH`
    `static java.lang.String` | `POST`
    `static java.lang.String` | `PROPFIND`
    `static java.lang.String` | `PROPPATCH`
    `static java.lang.String` | `PROTOCOL_HTTP`
    `static java.lang.String` | `PROTOCOL_HTTPS`
    `static java.lang.String` | `PUT`
    `static java.lang.String` | `REPORT`
    `static java.lang.String` | `SC_MOVED_PERMANENTLY`
    `static java.lang.String` | `SC_MOVED_TEMPORARILY`
    `static java.lang.String` | `SC_SEE_OTHER`
    `static java.lang.String` | `SC_TEMPORARY_REDIRECT`
    `static java.lang.String` | `SEARCH`
    `static java.lang.String` | `TRACE`
    `static java.lang.String` | `TRANSFER_ENCODING`
    `static java.lang.String` | `UNLOCK`
    `static java.lang.String` | `VARY`

- - ### Field Detail

    - #### SC_MOVED_PERMANENTLY

          static final java.lang.String SC_MOVED_PERMANENTLY

      See Also:
        Constant Field Values

    - #### SC_MOVED_TEMPORARILY

          static final java.lang.String SC_MOVED_TEMPORARILY

      See Also:
        Constant Field Values

    - #### SC_SEE_OTHER

          static final java.lang.String SC_SEE_OTHER

      See Also:
        Constant Field Values

    - #### SC_TEMPORARY_REDIRECT

          static final java.lang.String SC_TEMPORARY_REDIRECT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_PORT

          static final int DEFAULT_HTTPS_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_PORT_STRING

          static final java.lang.String DEFAULT_HTTPS_PORT_STRING

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTP_PORT

          static final int DEFAULT_HTTP_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTP_PORT_STRING

          static final java.lang.String DEFAULT_HTTP_PORT_STRING

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTP

          static final java.lang.String PROTOCOL_HTTP

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTPS

          static final java.lang.String PROTOCOL_HTTPS

      See Also:
        Constant Field Values

    - #### HEAD

          static final java.lang.String HEAD

      See Also:
        Constant Field Values

    - #### POST

          static final java.lang.String POST

      See Also:
        Constant Field Values

    - #### PUT

          static final java.lang.String PUT

      See Also:
        Constant Field Values

    - #### GET

          static final java.lang.String GET

      See Also:
        Constant Field Values

    - #### OPTIONS

          static final java.lang.String OPTIONS

      See Also:
        Constant Field Values

    - #### TRACE

          static final java.lang.String TRACE

      See Also:
        Constant Field Values

    - #### DELETE

          static final java.lang.String DELETE

      See Also:
        Constant Field Values

    - #### PATCH

          static final java.lang.String PATCH

      See Also:
        Constant Field Values

    - #### PROPFIND

          static final java.lang.String PROPFIND

      See Also:
        Constant Field Values

    - #### PROPPATCH

          static final java.lang.String PROPPATCH

      See Also:
        Constant Field Values

    - #### MKCOL

          static final java.lang.String MKCOL

      See Also:
        Constant Field Values

    - #### COPY

          static final java.lang.String COPY

      See Also:
        Constant Field Values

    - #### MOVE

          static final java.lang.String MOVE

      See Also:
        Constant Field Values

    - #### LOCK

          static final java.lang.String LOCK

      See Also:
        Constant Field Values

    - #### UNLOCK

          static final java.lang.String UNLOCK

      See Also:
        Constant Field Values

    - #### CONNECT

          static final java.lang.String CONNECT

      See Also:
        Constant Field Values

    - #### REPORT

          static final java.lang.String REPORT

      See Also:
        Constant Field Values

    - #### MKCALENDAR

          static final java.lang.String MKCALENDAR

      See Also:
        Constant Field Values

    - #### SEARCH

          static final java.lang.String SEARCH

      See Also:
        Constant Field Values

    - #### HEADER_AUTHORIZATION

          static final java.lang.String HEADER_AUTHORIZATION

      See Also:
        Constant Field Values

    - #### HEADER_COOKIE

          static final java.lang.String HEADER_COOKIE

      See Also:
        Constant Field Values

    - #### HEADER_COOKIE_IN_REQUEST

          static final java.lang.String HEADER_COOKIE_IN_REQUEST

      See Also:
        Constant Field Values

    - #### HEADER_CONNECTION

          static final java.lang.String HEADER_CONNECTION

      See Also:
        Constant Field Values

    - #### CONNECTION_CLOSE

          static final java.lang.String CONNECTION_CLOSE

      See Also:
        Constant Field Values

    - #### KEEP_ALIVE

          static final java.lang.String KEEP_ALIVE

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          static final java.lang.String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_ENCODING

          static final java.lang.String HEADER_CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### HTTP_1_1

          static final java.lang.String HTTP_1_1

      See Also:
        Constant Field Values

    - #### HEADER_SET_COOKIE

          static final java.lang.String HEADER_SET_COOKIE

      See Also:
        Constant Field Values

    - #### ENCODING_BROTLI

          static final java.lang.String ENCODING_BROTLI

      See Also:
        Constant Field Values

    - #### ENCODING_DEFLATE

          static final java.lang.String ENCODING_DEFLATE

      See Also:
        Constant Field Values

    - #### ENCODING_GZIP

          static final java.lang.String ENCODING_GZIP

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_DISPOSITION

          static final java.lang.String HEADER_CONTENT_DISPOSITION

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_TYPE

          static final java.lang.String HEADER_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_LENGTH

          static final java.lang.String HEADER_CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### HEADER_HOST

          static final java.lang.String HEADER_HOST

      See Also:
        Constant Field Values

    - #### HEADER_LOCAL_ADDRESS

          static final java.lang.String HEADER_LOCAL_ADDRESS

      See Also:
        Constant Field Values

    - #### HEADER_LOCATION

          static final java.lang.String HEADER_LOCATION

      See Also:
        Constant Field Values

    - #### APPLICATION_X_WWW_FORM_URLENCODED

          static final java.lang.String APPLICATION_X_WWW_FORM_URLENCODED

      See Also:
        Constant Field Values

    - #### MULTIPART_FORM_DATA

          static final java.lang.String MULTIPART_FORM_DATA

      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          static final java.lang.String IF_NONE_MATCH

      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          static final java.lang.String IF_MODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### ETAG

          static final java.lang.String ETAG

      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          static final java.lang.String LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### EXPIRES

          static final java.lang.String EXPIRES

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          static final java.lang.String CACHE_CONTROL

      See Also:
        Constant Field Values

    - #### DATE

          static final java.lang.String DATE

      See Also:
        Constant Field Values

    - #### VARY

          static final java.lang.String VARY

      See Also:
        Constant Field Values

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.